Freeciv-3.2: entry Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
entry Struct Reference

## Data Fields

struct section * | psection
char * | name
enum entry_type | type
int | used
char * | comment
union { |
struct { |
bool value |
} boolean |
struct { |
int value |
} integer |
struct { |
float value |
} floating |
struct { |
char * value |
bool escaped |
bool raw |
bool gt_marking |
} string |
}; |  |

## Detailed Description

Definition at line 193 of file registry_ini.c.

## Field Documentation

## ◆ [union]

union { ... } entry

## ◆ [struct]

struct { ... } entry::boolean

## ◆ comment

char* entry::comment

Definition at line 198 of file registry_ini.c.

Referenced by entry_set_comment(), secfile_insert_bitwise_enum_full(), secfile_insert_bitwise_enum_vec_full(), secfile_insert_bool_full(), secfile_insert_bool_vec_full(), secfile_insert_enum_data_full(), secfile_insert_enum_vec_data_full(), secfile_insert_float_full(), secfile_insert_int_full(), secfile_insert_int_vec_full(), secfile_insert_plain_enum_full(), secfile_insert_plain_enum_vec_full(), secfile_insert_str_full(), secfile_insert_str_vec_full(), secfile_save(), and section_entry_comment_new().

## ◆ escaped

bool entry::escaped

Definition at line 216 of file registry_ini.c.

Referenced by entry_str_set_escaped(), and section_entry_str_new().

## ◆ [struct]

struct { ... } entry::floating

## ◆ gt_marking

bool entry::gt_marking

Definition at line 218 of file registry_ini.c.

Referenced by entry_str_set_gt_marking().

## ◆ [struct]

struct { ... } entry::integer

## ◆ name

char* entry::name

Definition at line 195 of file registry_ini.c.

## ◆ psection

struct section* entry::psection

Definition at line 194 of file registry_ini.c.

Referenced by entry_from_inf_token(), entry_new(), entry_set_name(), secfile_check_unused(), secfile_entry_by_path(), secfile_insert_bitwise_enum_full(), secfile_insert_bool_full(), secfile_insert_comment(), secfile_insert_enum_data_full(), secfile_insert_filereference(), secfile_insert_float_full(), secfile_insert_int_full(), secfile_insert_plain_enum_full(), secfile_insert_str_full(), secfile_save(), section_entry_bool_new(), section_entry_by_name(), section_entry_comment_new(), section_entry_filereference_new(), section_entry_float_new(), section_entry_int_new(), section_entry_lookup(), and section_entry_str_new().

## ◆ raw

bool entry::raw

Definition at line 217 of file registry_ini.c.

## ◆ [struct]

struct { ... } entry::string

## ◆ type

enum entry_type entry::type

Definition at line 196 of file registry_ini.c.

## ◆ used

int entry::used

Definition at line 197 of file registry_ini.c.

## ◆ value [1/4]

bool entry::value

Definition at line 203 of file registry_ini.c.

Referenced by entry_bool_get(), entry_bool_set(), entry_float_get(), entry_float_set(), entry_int_get(), entry_int_set(), entry_str_get(), entry_str_set(), secfile_insert_bool_full(), secfile_insert_enum_data_full(), secfile_insert_float_full(), secfile_insert_int_full(), secfile_lookup_enum_default_data(), secfile_lookup_int_def_min_max(), section_entry_bool_new(), section_entry_filereference_new(), section_entry_float_new(), section_entry_int_new(), and section_entry_str_new().

## ◆ value [2/4]

int entry::value

Definition at line 207 of file registry_ini.c.

## ◆ value [3/4]

float entry::value

Definition at line 211 of file registry_ini.c.

## ◆ value [4/4]

char* entry::value

Definition at line 215 of file registry_ini.c.